@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');


html, body {
    font-family: 'Roboto';
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.fadeInAnimation {
    animation: fadeIn 800ms;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.mapDiv{
    touch-action:none;
}

.btn:focus {
    box-shadow: none !important;
}

.my-location-marker-icon {
    height: 18px;
    background-image: var(--map-page-my-location-marker-icon);
    background-repeat: no-repeat;
    background-size: contain;
}

.leaflet-control-zoom-in {
    background: var(--map-page-zoom-plus);
    background-color: transparent !important;
    color: transparent !important;
}

.leaflet-control-zoom-out {
    background: var(--map-page-zoom-minus);
    background-color: transparent !important;
    color: transparent !important;
}

.leaflet-bar {
    border: none !important;
}

.leaflet-bottom {
    bottom: 10px !important;
    padding-right: 35px !important;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.e-calendar {
    background-color: transparent!important;
    border: none!important;
    width:100%;
    max-width:unset!important;
}

    /*.e-calendar .e-header span, .e-bigger.e-small .e-calendar .e-header span {
        color: var(--calendar-title-color)!important;
    }
    .e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title {
        color: var(--calendar-title-color)!important;
        font-size: 20px;
    }
    .e-calendar .e-content span.e-day {
        color: var(--calendar-day-color) !important
    }

    .e-calendar .e-content td.e-other-month.e-disabled
    {
        color:rgba(255,255,255,0.2)!important;
    }
    .e-calendar .e-content td.e-focused-date span.e-day {
        background-color: transparent !important;
    }*/
    .e-calendar .e-header .e-title, .e-calendar .e-header span, .e-bigger.e-small .e-calendar .e-header span,
    .e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title, .e-calendar th, .e-calendar .e-content span {
        color: var(--calendar-color) !important;
    }

    .e-calendar .e-content td.e-disabled span.e-day {
        color: rgba(255,255,255,0.2) !important;
    }

    .e-calendar .e-content td.e-selected.e-focused-date span.e-day {
        background-color: var(--calendar-focused-day-background) !important;
        color: var(--calendar-focused-day-color)!important;
    }
    .e-calendar .e-content td.e-selected span.e-day {
        background-color: var(--calendar-focused-day-background) !important;
    }

    .e-calendar .e-content td.e-today span.e-day {
        box-shadow: none !important;
        border: 1px solid var(--button-background) !important;
    }

    .e-calendar .e-content td.e-focused-date span.e-day {
        background-color: transparent !important;
    }
    .e-calendar .e-content td:hover span.e-day, .e-calendar .e-content td:focus span.e-day, .e-bigger.e-small .e-calendar .e-content td:hover span.e-day, .e-bigger.e-small .e-calendar .e-content td:focus span.e-day {
        background-color: var(--calendar-hover-background) !important;
    }

    .e-calendar .e-header .e-prev:hover, .e-calendar .e-header .e-next:hover {
        background-color: transparent !important;
    }
    .e-calendar .e-content span.e-day, .e-bigger.e-small .e-calendar .e-content span.e-day {
        width: 48px !important;
        border-radius: 30px !important;
    }

.e-dialog.e-popup {
    border-radius: 20px;
    max-width:600px;
}

@media screen and (max-width:768px) {
    .e-dialog.e-popup {
        width: 80% !important;
    }
}

.e-dialog .e-dlg-content {
    background-color: transparent;
    padding:40px!important;
}

.e-dialog .e-dlg-header-content
{
    padding:20px!important;
}

.validation-message
{
    font-style:italic;
    font-size:12px;
    font-weight:100;
}
/* List element stuff*/
.e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-name, .e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-type,
.e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-size, .e-upload .e-upload-files .e-upload-file-list .e-file-container .e-file-status,
.e-upload .e-upload-files .e-file-remove-btn.e-icons {
    color: white !important;
}

.e-upload .e-upload-files .e-upload-file-list {
    background-color: #2626a8;
    border-radius:24px;
    margin-bottom:5px;
}

    .e-upload .e-upload-files {
        width: 100%;
    }

        .e-upload .e-upload-files .e-file-delete-btn.e-icons
        {
            color:white!important;
        }

/*Browse / drop text*/
.e-upload .e-file-select-wrap {
    display: flex;
    flex-direction: column;
}
.e-upload .e-file-select-wrap .e-btn, .e-upload .e-upload-actions .e-btn, .e-bigger.e-small .e-upload .e-file-select-wrap .e-btn, .e-bigger.e-small .e-upload .e-upload-actions .e-btn {
    border-radius: 24px;
    background-color: #38a5c6;
    border: none;
}
.e-upload .e-file-select-wrap .e-file-drop, .e-bigger.e-small .e-upload .e-file-select-wrap .e-file-drop {
    font-size: 24px;
    margin: 0 !important;
}

/*Bottom buttons*/
.e-upload-actions
{
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    background-color:transparent!important;
}

.e-upload .e-upload-actions .e-file-clear-btn {
    border-radius: 24px;
    background-color: #38a5c6 !important;
    border: none;
    width: 200px;
    color: white !important;
}

.e-btn.e-flat.e-primary, .e-css.e-btn.e-flat.e-primary {
    border-radius: 24px;
    background-color: #38a5c6 !important;
    border: none;
    width: 200px;
    color: white !important;
}

/*Wrapper*/

.e-upload.e-control-wrapper, .e-bigger.e-small .e-upload.e-control-wrapper {
    width: 100%;
    border: 2px solid #00497b;
    border-radius: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 20px;
}

.e-spinner-pane .e-spinner-inner .e-spin-material {
    border-radius: 50%;
    stroke: var(--spinner-stroke-color) !important;
}

.e-spinner-pane {
    position: fixed!important;
    z-index: 2002!important;
}

.captcha-reload
{
    display:flex;
    justify-content:center;
    align-items:center;
    margin-left:5px;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }
